> ## Documentation Index
> Fetch the complete documentation index at: https://docs.luly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Specific Pathway Version

> Retrieves a specific version of a pathway, including its name, nodes, edges, version number, and latest status.

### Headers

<ParamField header="authorization" type="string" required={true}>
  Your API key for authentication.
</ParamField>

### Path Parameters

<ParamField path="pathway_id" type="string" required={true}>
  The ID of the pathway.
</ParamField>

<ParamField path="version_id" type="string" required={true}>
  The ID of the version to retrieve. Use 0 for the live pathway.
</ParamField>

### Response

<ResponseField name="name" type="string">
  The name of the pathway version.
</ResponseField>

<ResponseField name="nodes" type="array of objects">
  Data about all the nodes in the pathway version.

  <Accordion title="Node Object Parameters">
    * id --Unique indentifier of the node

    * type — Type of the node (e.g., “Default”, “End Call”, “Webhook”)

    * data -- Object containing node-specific data

      * name -- Name of the node

      * text or propmt -- Text or prompt associated with the node

      * Other properties specific to the node type
  </Accordion>
</ResponseField>

<ResponseField name="edges" type="array of object">
  Data about all the edges in the pathway version.

  <Accordion title="Edge Object Parameters">
    * id --Unique indentifier of the edge

    * source — Type of the node (e.g., “Default”, “End Call”, “Webhook”)

    * target -- Object containing node-specific data

    * label --Label for this edge
  </Accordion>
</ResponseField>

<ResponseField name="version_number" type="integer">
  The version number of this pathway version.
</ResponseField>

<ResponseField name="is_latest" type="boolean">
  Indicates whether this is the latest version of the pathway.
</ResponseField>
